package logic

import (
	"context"

	"audio_transcoder/internal/svc"
	"audio_transcoder/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type TestCallbackLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewTestCallbackLogic(ctx context.Context, svcCtx *svc.ServiceContext) *TestCallbackLogic {
	return &TestCallbackLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *TestCallbackLogic) TestCallback(req *types.OriginDataResponse) error {
	//测试接收回调数据接口
	logx.Info("接收数据: ", req)
	return nil
}
